<?PHP
;------------------------------------------------------------------------------
; ALLGEMEINE HINWEISE
;
; Diese Datei enthlt Passwrter und andere wichtige Daten, die fr die Nutzung
; von Pixtacy bentigt werden. Bitte lesen Sie die jeweiligen Hinweise sorg-
; fltig durch, bevor Sie nderungen an einem der Werte vornehmen.
;
; WICHTIG: Gendert werden drfen ausschliesslich die Eintrge auf der rechten
;          Seite des Gleichheitszeichens.
;
; Diese Datei muss sich im Unterverzeichnis "config" befinden und mit 
; Zugriffsrechten versehen sein, die jedem Benutzer einen Lesezugriff erlauben.
; Schreibzugriffe sollten dagegen ausschlielich dem Eigentmer mglich sein.
;
; Da diese Datei die Endung ".php" trgt, ist ein Auslesen des Inhalts mittels
; Webbrowser (HTTP-Zugriff) nicht mglich. Der Server wrde den Inhalt lediglich
; als Skript interpretieren und das (leere) Ergebnis zurckliefern. 



;------------------------------------------------------------------------------
; MASTER-PASSWORT
;
; Hiermit legen Sie das Passwort fest, mit dem man sich bei Pixtacy als 
; "master"-Benutzer anmelden kann. Das Passwort sollte mindestens 8 Zeichen 
; lang sein und sowohl Buchstaben als auch Ziffern und Satzzeichen enthalten.
; Vermeiden Sie dagegen Umlaute und fremdsprachige Sonderzeichen.

masterPassword = demo


;------------------------------------------------------------------------------
; MYSQL-KONFIGURATION
;
; In diesem Abschnitt werden die Angaben festgehalten, die Pixtacy fr die
; Kommunikation mit der mySQL-Datenbank bentigt. Sie erhalten diese Angaben
; blicherweise von Ihrem Provider bzw. Ihrem Systemverwalter.
;
; mysqlServer: Adresse des mySQL-Servers (Host), mit dem Pixtacy arbeiten soll. 
; mysqlDatabase: Name der Datenbank, mit der Pixtacy arbeiten soll.
; mysqlUser: Benutzerkennung, unter der sich Pixtacy am mySQL-Server anmelden soll.
; mysqlPassword: Passwort, mit dem sich Pixtacy am mySQL-Server anmelden soll.
;
; Mit dem mySQLTablePrefix haben Sie die Mglichkeit, mehrere unabhngige 
; Pixtacy-Umgebungen einzurichten, auch wenn Ihnen nur eine einzige mySQL-
; Datenbank zur Verfgung steht. Weisen Sie einfach jeder Pixtacy-Umgebung
; ein anderes Prefix zu (z.B. vt2a_, vt2b_ usw.).

mysqlServer = localhost
mysqlDatabase = 
mysqlUser = 
mysqlPassword = 
mysqlTablePrefix = pxtc_


;------------------------------------------------------------------------------
; URL-ERZEUGUNG
;
; Mit den folgenden Parametern lsst sich das Aussehen der URLs steuern, die
; Pixtacy erzeugt. Diese Parameter sollten nur von erfahrenen Benutzern ver-
; ndert werden. Beachten Sie: Eine Vernderung kann dazu fhren, dass die
; Hyperlinks, die Pixtacy erzeugt, nur noch dann funktionieren, wenn in der
; .htaccess-Datei bestimmte Rewrite-Direktiven vorhanden sind.

URLScriptName = index.php
;URLSuffix = .html
;URLOmitSeparator = 1
;URLOmitScriptName = 1
;URLOmitLanguage = 1


;------------------------------------------------------------------------------
; FTP-ZUGANGSDATEN
;
; Manche Pixtacy-Funktionen erfordern einen FTP-Zugriff auf das Pixtacy-
; Verzeichnis. Wenn Sie diese Funktionen nutzen wollen, tragen Sie hier die
; entsprechenden Zugangsdaten ein. Der Parameter "ftpPathToWebRoot" muss den
; Pfad zum Stammverzeichnis der Website enthalten, ausgehend vom Start-
; verzeichnis des FTP-Benutzers, also beispielsweise "/httpdocs/" oder (falls
; FTP-Startverzeichnis und Stammverzeichnis identisch sind) "/". 
;
; Bitte beachten Sie, dass nderungen an dieser Stelle keine Auswirkung mehr
; haben, wenn die FTP-Zugangsdaten einmal ber das Redaktionssystem gendert 
; worden sind.

;ftpServer = 
;ftpPort = 
;ftpUser = 
;ftpPassword =
;ftpPathToWebRoot = 
;ftpBaseUrl = 


;------------------------------------------------------------------------------
; E-MAIL-VERSAND
;
; Normalerweise nutzt Virthos den internen Mailserver, der auf den
; meisten Webservern zur Verfgung steht. Dieser ermglicht in den
; meisten Fllen einen reibungslosen E-Mail-Versand, ohne dass Sie viel
; konfigurieren mssen. Sie knnen Pixtacy aber auch so konfigurieren,
; dass der E-Mail-Versand ber einen externen Mailserver (SMTP-Server)
; erfolgt. Dazu mssen Sie die folgenden Werte setzen:
;
; mailMethod: Versandmethode (stets "smtp")
; mailSmtpServer: Adresse des Mailservers, z. B. smtp.mein-mailprovider.de
; mailSmtpPort: Portnummer des Mailservers, in der Regel 25 oder 587
; mailSmtpUser: Benutzername zur Anmeldung am Mailserver
; mailSmtpPassword: Passwort zur Anmeldung am Mailserver
; mailSmtpSecure: mgliche Werte: "ssl" oder "tls" oder leer
;
; Die genauen Angaben mssten Sie bei Ihrem E-Mail-Provider erfragen. Es
; sind letztlich dieselben Einstellungen, die Sie auch in Outlook oder
; anderen E-Mail-Programmen hinterlegen mssen, um Nachrichten zu versenden.

;mailMethod = smtp
;mailSmtpServer = 
;mailSmtpPort = 
;mailSmtpUser = 
;mailSmtpPassword = 
;mailSmtpSecure = 


;------------------------------------------------------------------------------
; MEHRFACH-ANMELDUNG VON BENUTZERN
;
; Im Normalfall sind Benutzernamen nicht-exklusiv, das heit, es knnen sich
; mehrere Anwender gleichzeitig mit demselben Benutzernamen bei Pixtacy anmelden.
; Wird der folgende Eintrag auskommentiert, verbietet Pixtacy eine solche
; Mehrfach-Anmeldung von Benutzern.

;refuseMultiLogin = 1


;------------------------------------------------------------------------------
; SYSTEMSPRACHE
;
; Hiermit legen Sie die Sprache fest, in der die Pixtacy-Oberflche dargestellt
; wird. Sie knnen jedes Sprachkrzel verwenden, fr das im Verzeichnis
; system/languages eine entsprechende Sprachdatei vorhanden ist. Zum Liefer-
; umfang von Pixtacy gehren die Sprachen Deutsch (de) und Englisch (en).

systemLanguage = de


;------------------------------------------------------------------------------
; SYSTEMVERZEICHNISSE
;
; Die folgenden Eintrge sollten nur von erfahrenen Benutzern verndert werden.
; Sie sind fr Flle gedacht, in denen man aufgrund von Serverbeschrnkungen 
; die Standard-Verzeichnisstruktur von Pixtacy verndern muss.
;
; Bei den "pathTo"-Angaben mssen absolute Pfadangaben, ausgehend vom Root-
; verzeichnis des Dateisystems, eingetragen werden, z. B. 
; "/Library/Apache2/htdocs/". Die Angaben mssen mit einem Schrgstrich enden.
;
; Bei den "baseURL"-Angaben mssen URLs, beginnend mit "http://", eingetragen 
; werden. Auch diese mssen mit einem Schrgstrich enden. Beispiel: 
; "http://firma.de/ressources/".

;pathToVirthos = 
;pathToData = 
;pathToMedia = 
;pathToFiles = 
;pathToTemplates = 
;pathToCache =
;pathToLog =

;baseURL = 
;baseURLResources = 
;baseURLData = 
;baseURLMedia = 
;baseURLFiles = 
;baseURLTemplates = 


;------------------------------------------------------------------------------
; ENDE
;------------------------------------------------------------------------------

?>